###################################################
### chunk number 1: fig1plot
###################################################
 library(mombf)
 g <- 1
 thseq <- seq(-3,3,length=1000)
 plot(thseq,dmom(thseq,g=g),type='l',ylab='Prior density')
 lines(thseq,dimom(thseq,g=g),lty=2,col=2)


###################################################
### chunk number 2: fig1
###################################################
 library(mombf)
 g <- 1
 thseq <- seq(-3,3,length=1000)
 plot(thseq,dmom(thseq,g=g),type='l',ylab='Prior density')
 lines(thseq,dimom(thseq,g=g),lty=2,col=2)


###################################################
### chunk number 3: fig1bplot
###################################################
 library(mombf)
 plot(thseq,pmom(thseq,g=g),type='l',ylab='Prior cdf')
 lines(thseq,pimom(thseq,g=g),lty=2,col=2)


###################################################
### chunk number 4: fig1b
###################################################
 library(mombf)
 plot(thseq,pmom(thseq,g=g),type='l',ylab='Prior cdf')
 lines(thseq,pimom(thseq,g=g),lty=2,col=2)


###################################################
### chunk number 5: one
###################################################
data(hald)
dim(hald)
lm1 <- lm(hald[,1] ~ hald[,2] + hald[,3] + hald[,4] + hald[,5])
summary(lm1)


###################################################
### chunk number 6: two
###################################################
prior.mode <- .2^2
V <- summary(lm1)$cov.unscaled
gmom <- mode2g(prior.mode,prior='Mom')
gimom <- mode2g(prior.mode,prior='iMom')
gmom
gimom


###################################################
### chunk number 7: fig2plot
###################################################
thseq <- seq(-1,1,length=1000)
plot(thseq,dmom(thseq,V1=V[2,2],g=gmom,n=nrow(hald)),type='l',xlab='theta/sigma',ylab='Prior density')
lines(thseq,dimom(thseq,V1=V[2,2],g=gimom,n=nrow(hald)),lty=2,col=2)
abline(v=c(-prior.mode,prior.mode),lty=2)


###################################################
### chunk number 8: fig2
###################################################
thseq <- seq(-1,1,length=1000)
plot(thseq,dmom(thseq,V1=V[2,2],g=gmom,n=nrow(hald)),type='l',xlab='theta/sigma',ylab='Prior density')
lines(thseq,dimom(thseq,V1=V[2,2],g=gimom,n=nrow(hald)),lty=2,col=2)
abline(v=c(-prior.mode,prior.mode),lty=2)


###################################################
### chunk number 9: twobis
###################################################
a <- .2; priorp <- .05
gmom2 <- priorp2g(priorp=priorp,q=a,prior='Mom')
gimom2 <- priorp2g(priorp=priorp,q=-a,prior='iMom')
gmom2
gimom2


###################################################
### chunk number 10: three
###################################################
set.seed(4*2*2008)
mombf(lm1,coef=2,g=gmom)
imombf(lm1,coef=2,g=gimom,method='adapt')
imombf(lm1,coef=2,g=gimom,method='MC',B=10^5)
zellnerbf(lm1,coef=2,g=1)


###################################################
### chunk number 11: four
###################################################
imombf(lm1,coef=2,g=gimom,method='MC',B=10^5)


###################################################
### chunk number 12: five
###################################################
sr <- sqrt(sum(lm1$residuals^2)/(nrow(hald)-5))
thest <- coef(lm1)[2]/sr
thest


###################################################
### chunk number 13: fig3plot
###################################################
prior.mode <- seq(.01,1,length=100)^2
gmom <- mode2g(prior.mode,prior='Mom')
bf1 <- mombf(lm1,coef=2,g=gmom)
bf2 <- zellnerbf(lm1,coef=2,g=gmom)
plot(prior.mode,bf1,type='l',ylab='BF')
lines(prior.mode,bf2,lty=2,col=2)
abline(v=thest,lty=2)


###################################################
### chunk number 14: fig3
###################################################
prior.mode <- seq(.01,1,length=100)^2
gmom <- mode2g(prior.mode,prior='Mom')
bf1 <- mombf(lm1,coef=2,g=gmom)
bf2 <- zellnerbf(lm1,coef=2,g=gmom)
plot(prior.mode,bf1,type='l',ylab='BF')
lines(prior.mode,bf2,lty=2,col=2)
abline(v=thest,lty=2)


###################################################
### chunk number 15: six
###################################################
set.seed(4*2*2008)
n <- 50; theta <- c(log(2),0)
x <- matrix(NA,nrow=n,ncol=2)
x[,1] <- rnorm(n,0,1); x[,2] <- rnorm(n,.5*x[,1],1)
p <- pnorm(x %*% matrix(theta,ncol=1))
y <- rbinom(n,1,p)


###################################################
### chunk number 16: seven
###################################################
glm1 <- glm(y~x[,1]+x[,2],family=binomial(link = "probit"))
thetahat <- coef(glm1)
V <- summary(glm1)$cov.scaled


###################################################
### chunk number 17: eight
###################################################
g <- .5
bfmom.1 <- momknown(thetahat[2],V[2,2],n=n,g=g,sigma=1)
bfimom.1 <- imomknown(thetahat[2],V[2,2],n=n,nuisance.theta=2,g=g,sigma=1)
bfmom.1
bfimom.1


###################################################
### chunk number 18: nine
###################################################
bfmom.2 <- momknown(thetahat[3],V[3,3],n=n,g=g,sigma=1)
bfimom.2 <- imomknown(thetahat[3],V[3,3],n=n,nuisance.theta=2,g=g,sigma=1)
bfmom.2
bfimom.2


###################################################
### chunk number 19: ten
###################################################
bfmom.0 <- momknown(thetahat[2:3],V[2:3,2:3],n=n,g=g,sigma=1)
bfimom.0 <- imomknown(thetahat[2:3],V[2:3,2:3],n=n,nuisance.theta=2,g=g,sigma=1)
bfmom.0
bfimom.0


###################################################
### chunk number 20: eleven
###################################################
prior.prob <- rep(1/4,4)
bf <- c(bfmom.0,bfmom.1,bfmom.2,1)
pos.prob <- prior.prob*bf/sum(prior.prob*bf)
pos.prob


